using ProjectManagementSystem.Device.Extenions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.Command
{
    public class CommandBoxReply : CommandBox
    {
        public byte[] CurrentData { get; set; } 

        public override byte[] Serialization()
        {
            CurrentData[1] = Function;
            CurrentData[12] = CurrentData.XOR_Check(12);

            return CurrentData;
        }
    }
}
